"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
var LinesAction;
(function (LinesAction) {
    LinesAction[LinesAction["searchGoogle"] = 0] = "searchGoogle";
})(LinesAction || (LinesAction = {}));
function searchGoogleLogic(lines) {
    for (let i = 0; i < lines.length; ++i) {
        vscode.env.openExternal(vscode.Uri.parse(`https://www.google.com/search?q=${lines[i]}`));
    }
}
function getLines(textEditor, startLine, endLine) {
    let results = [];
    for (let i = startLine; i <= endLine; i++) {
        results.push(textEditor.document.lineAt(i).text);
    }
    return results;
}
function linesFunction(linesAction) {
    const textEditor = vscode.window.activeTextEditor;
    if (!textEditor) {
        return undefined;
    }
    var startLine = 0;
    var endLine = textEditor.document.lineCount - 1;
    const selection = textEditor.selection;
    if (!selection.isEmpty) {
        startLine = selection.start.line;
        endLine = selection.end.line;
    }
    let lines = getLines(textEditor, startLine, endLine);
    switch (linesAction) {
        case LinesAction.searchGoogle: {
            searchGoogleLogic(lines);
            break;
        }
        default: {
            throw new Error();
        }
    }
    return undefined;
}
exports.searchGoogle = () => linesFunction(LinesAction.searchGoogle);
//# sourceMappingURL=readOnlyLinesHelper.js.map